Bulk update sender data
curl --request POST \
--url https://api.example.com/api/v1/sessions/{session_id}/sender-data/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{}
]'import requests
url = "https://api.example.com/api/v1/sessions/{session_id}/sender-data/bulk"
payload = [{}]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{}])
};
fetch('https://api.example.com/api/v1/sessions/{session_id}/sender-data/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"sources_updated": 123,
"merge_strategy": "<string>",
"message": "<string>",
"job_id": "<string>",
"estimated_completion_time": 123,
"processing_status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Session Management
Bulk update sender data
Update sender data from multiple sources (JSON objects)
POST
/
api
/
v1
/
sessions
/
{session_id}
/
sender-data
/
bulk
Bulk update sender data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
application/json
Response
Successful Response
Response model for sender data upload.
Session identifier
Number of sender data sources updated
Merge strategy used
Success message
Background job ID if processing was queued
Estimated completion timestamp
Status of background processing job
⌘I